Subject: Re: [PATCH 0/4] run auto maintenance in git-gui

From: Junio C Hamano <[email-masked]>
Date: Sat, 07 Mar 2026 14:01:55 -0800

Johannes Sixt <[email-masked]> writes:

> However, the consequences for users need to be considered. You replace
> the custom implementation of `git gc` with `git maintenance run --auto`.
> The latter CAN do a lot more than the former. It turns out, that Git GUI
> already calls into `git maintance` indirectly via `git merge` and `git
> fetch`. So, users who set gui.gcwarning to false (myself included) were
> already prone to occasional inadvertent cleanups.
>
> So, users that are hurt by this new change are those where all these
> conditions are true:
> ...
> How many could this be? Not many, I guess. The conservative safe
> approach would be to treat gui.gcwarning=false as an indication that
> automatic cleanup is not desired.

Hmph, if you are _declining_ to see the warning, isn't it a sign
that you are getting these warnings and got annoyed enough to find
out about the settings and turned it to "false" to squelch?  And if
we make pruning more aggressive, wouldn't gui.gcwarning explicitly
set to false be a sign that you'd be more likely to be in the
affected poulation?